#include <bits/stdc++.h>
using namespace std;
int a[10001] , b[10001];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie();
    cout.tie();
    int N , br = 1;
    cin>>N;
    for(int i=0;i<N;i++){
        int c;
        cin>>c;
        a[c]=i;
    }
    for(int i=0;i<N;i++){
        cin>>b[i];
    }
    for(int i=1;i<N;i++){
        if((a[b[i]]-a[b[i-1]])==1){
        }else {
            br++;

        }
    }
    cout<<br<<endl;
    return 0;
}
